#
# spec file for package python-Flask-HTTPAuth
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2017 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Flask-HTTPAuth
Version:        4.0.0
Release:        bp154.1.32
Summary:        Basic and Digest HTTP authentication for Flask routes
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/miguelgrinberg/flask-httpauth/
Source:         https://files.pythonhosted.org/packages/source/F/Flask-HTTPAuth/Flask-HTTPAuth-%{version}.tar.gz
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Flask
BuildArch:      noarch
%python_subpackages

%description
Simple extension that provides Basic and Digest HTTP authentication for Flask routes.

%prep
%setup -q -n Flask-HTTPAuth-%{version}

%build

%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/flask_httpauth.py*
%{python_sitelib}/Flask_HTTPAuth-%{version}-py*.egg-info
%pycache_only %{python_sitelib}/__pycache__

%changelog
* Sat May  2 2020 Arun Persaud <arun@gmx.de>
- specfile:
  * update copyright year
  * be more specific in %%files section
- update to version 4.0.0:
  * Return user object from verify callbacks (commit)
  * New role authorization support (commit) (thanks gemerden!)
  * Add a custom token authorization header option (commit) (thanks
    Mohamed Feddad!)
  * Support an optional=True argument in login_required decorator
    (commit) (thanks Saif Almansoori!)
  * Pass HTTP status code to error callback (commit)
  * More secure example of basic auth in the documentation (commit)
  * Fix broken links in CHANGES.md and changelog template #85 (commit)
    (thanks Katie Smith!)
* Tue May 28 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.3.0:
  * Use constant time string comparisons #82 (commit1, commit2) (thanks Brendan Long!)
  * Edited and changed the usage of JWT, because in fact the code and documentation uses JWS tokens. #79 (commit) (thanks unuseless!)
  * Documentation improvements #77 (commit)
* Tue Oct 30 2018 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.2.4:
  * Various spelling fixes
  * Refactored HTTPAuth login_required
* Sat Nov 25 2017 axel.braun@gmx.de
- Version 3.2.3
  initial OBS build
